Subject: [Gen-art] Gen-ART review: draft-ietf-pwe3-pw-typed-wc-fec-03

From: Mary Barnes <[email-masked]>
Date: Mon, 9 Apr 2012 14:21:45 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-pwe3-pw-typed-wc-fec-03.txt
Reviewer:  Mary Barnes
Review Date:  9 April 2012
IESG Telechat Date: 12 April 2012

Summary:  Ready with nits.

Comments: there are some editorial nits, many summarized below.  There are
several cases where an article - i.e., "the", "an", etc. is missing.   I
believe these can be fixed in AUTH48 and I imagine the RFC editor will
catch them. But, if the doc needs any other updates, it would be good to
make these fixes at the same time.

Nits:
-----
Section 1:
- first paragraph, second sentence is very awkward and could be rewritten
something like (unless I've misunderstood the objective of that sentence:
OLD:
   This can be used when it is
   desired to request all label bindings for a given type of FEC
   Element, or to release or withdraw all label bindings for a given
   type of FEC element.
NEW:
   This can be used to request, release or withdraw all label
   bindings for a given type of FEC element.

- second paragraph, last sentence - missing articles (PWID, same)
OLD:
   The procedures for Typed Wildcard processing for PWid and
   Generalized PWid FEC Elements are same as described in [RFC5918] for
   any typed wildcard FEC Element type.
NEW:
   The procedures for Typed Wildcard processing for the PWid and
   Generalized PWid FEC Elements are the same as described in [RFC5918] for
   any typed wildcard FEC Element type.

Section 3:
- third paragraph, last sentence before list:
OLD:
 provide
  more generalized and comprehensive solution by allowing:
NEW:
  provide a
  more generalized and comprehensive solution by allowing:

- list item 2: "constraint" -> "constrain"

Section 4.1:
OLD:
 "… had learnt from LSR B over LDP session."
NEW:
 " … learned from the LSR B over the LDP session."

OLD:
 "…such request…"
NEW:
 "…such a request…"  OR "..the request…"

OLD:
 (no stale)
NEW:
 (not stale)

OLD:
  completes consistency check
NEW:
  completes the consistency check

Section 4.3:
- first paragraph, last sentence:
OLD:
  with large number
NEW:
  with a large number

Section 4.4:
- 1st para, 2nd sentence:
OLD:
   These procedures use LDP Address Withdraw message
NEW:
   These procedures use an LDP Address Withdraw message

- 2nd paragraph, last sentence:
OLD:
  This per PW (VPLS instance) MAC Withdraw messages
NEW:
  These per PW (VPLS instance) MAC Withdraw messages

3rd paragraph - 1st sentence:
OLD:
  this document allows use of
NEW:
  this document allows the use of

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 9 Apr 2012 15:32:05 -0400

Thank you Mary for the review and for catching all these editorials!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Apr 9, 2012, at 3:22 PM, "Mary Barnes" <[email-masked]> wrote:

> Comments: there are some editorial nits, many summarized below.  There are several cases where an article - i.e., "the", "an", etc. is missing.   I believe these can be fixed in AUTH48 and I imagine the RFC editor will catch them. But, if the doc needs any other updates, it would be good to make these fixes at the same time.  
> 
> Nits:
> -----
> Section 1: 
> - first paragraph, second sentence is very awkward and could be rewritten something like (unless I've misunderstood the objective of that sentence:
> OLD:

---

From: Kamran Raza <[email-masked]>
Date: Mon, 09 Apr 2012 15:51:01 -0400

Thanks Mary for your review.

Agree with all your comments and will fix them in next revision accordingly.

Rgds,
-- Kamran

On 12-04-09 3:21 PM, "Mary Barnes" <[email-masked]> wrote:

> believe these can be fixed in AUTH48 and I imagine the RFC editor will catch
> them. But, if the doc needs any other updates, it would be good to make these
> fixes at the same time.  
> 
> Nits:
> -----
> Section 1: 
> [skraza]: Agree.
>  "Š had learnt from LSR B over LDP session."
> NEW: 
>  " Š learned from the LSR B over the LDP session."
> 
> OLD:
>  "Šsuch requestŠ" 
> NEW:
>  "Šsuch a requestŠ"  OR "..the requestŠ"
> 
> OLD: 
>  (no stale)
> NEW: 
>  (not stale)
> 
> OLD:

-- 
Syed Kamran Raza
Technical Leader, SPRSG IOS-XR Routing (MPLS)
Cisco Systems, Inc.,
Kanata, ON, K2K 3E8, Canada
Ph: +1 (613) 254-4520
http://www.cisco.com